[arch-commits] Commit in videoproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 19 02:11:15 EDT 2009


    Date: Sunday, April 19, 2009 @ 02:11:15
  Author: eric
Revision: 35976

Merged revisions 356,35975 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/videoproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35975 | eric | 2009-04-19 02:10:56 -0400 (Sun, 19 Apr 2009) | 2 lines
  
  upgpkg: videoproto 2.2.2-2
      Added license
........

Modified:
  videoproto/repos/extra-x86_64/	(properties)
  videoproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: videoproto/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /videoproto/trunk:1
   + /videoproto/trunk:1-35975

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-19 06:10:56 UTC (rev 35975)
+++ extra-x86_64/PKGBUILD	2009-04-19 06:11:15 UTC (rev 35976)
@@ -3,17 +3,19 @@
 
 pkgname=videoproto
 pkgver=2.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Video extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('44292d74a9a3c94b1ecb9d77a0da83e8')
 sha1sums=('904eb59ae2451dea52370d927bf490b696f9033c')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list